Bug 872536 - Xorg crash opening popup menu in Epiphany
Summary: Xorg crash opening popup menu in Epiphany
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-02 11:21 UTC by Bastien Nocera
Modified: 2013-01-12 00:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-20 16:01:41 UTC


Attachments (Terms of Use)
ddx printf (2.03 KB, patch)
2012-11-13 16:20 UTC, Jérôme Glisse
no flags Details | Diff
Xorg.0.log with debug (57.82 KB, text/plain)
2012-11-13 17:15 UTC, Bastien Nocera
no flags Details
Xorg.0.log with debug (57.82 KB, text/plain)
2012-11-13 17:18 UTC, Bastien Nocera
no flags Details

Description Bastien Nocera 2012-11-02 11:21:36 UTC
epiphany-3.6.1-2.fc18.x86_64
gtk3-3.6.1-1.fc18.x86_64
xorg-x11-server-Xorg-1.13.0-7.fc18.x86_64
xorg-x11-drv-ati-7.0.0-0.7.20121015gitbd9e2c064.fc18.x86_64
kernel-3.6.2-3.fc17.x86_64 (also happens with an fc18 kernel)

1. Open epiphany
2. Log in to GNOME Bugzilla
3. Select a bug
4. Drop-down the Product menu
5. <Xorg crash>

Program received signal SIGSEGV, Segmentation fault.
radeon_get_pixmap_bo (pPix=0x24e0080) at radeon.h:628
628		return driver_priv->bo;
(gdb) bt
#0  radeon_get_pixmap_bo (pPix=0x24e0080) at radeon.h:628
#1  radeon_dri2_create_buffer2 (pScreen=0x1e8fbc0, drawable=0x24e0080, attachment=0, format=24) at radeon_dri2.c:451
#2  0x000000000057144f in create_buffer (format=24, attachment=0, pDraw=0x24e0080) at dri2.c:446
#3  allocate_or_reuse_buffer (pDraw=pDraw@entry=0x24e0080, pPriv=pPriv@entry=0x24e0150, attachment=attachment@entry=0, format=format@entry=24, 
    dimensions_match=dimensions_match@entry=1, buffer=buffer@entry=0x24e06d0, ds=<optimized out>) at dri2.c:495
#4  0x0000000000571e86 in do_get_buffers (pDraw=0x24e0080, width=width@entry=0x7ffff3d8df40, height=height@entry=0x7ffff3d8df48, 
    attachments=0x2388b64, attachments@entry=0x2388b5c, count=1, out_count=out_count@entry=0x7ffff3d8df50, has_format=has_format@entry=1)
    at dri2.c:573
#5  0x00000000005722a0 in DRI2GetBuffersWithFormat (pDraw=<optimized out>, width=width@entry=0x7ffff3d8df40, height=height@entry=0x7ffff3d8df48, 
    attachments=attachments@entry=0x2388b5c, count=<optimized out>, out_count=out_count@entry=0x7ffff3d8df50) at dri2.c:690
#6  0x0000000000573d20 in ProcDRI2GetBuffersWithFormat (client=0x2260500) at dri2ext.c:306
#7  ProcDRI2Dispatch (client=0x2260500) at dri2ext.c:608
#8  0x00000000004395ea in Dispatch () at dispatch.c:428
#9  0x000000000042805a in main (argc=12, argv=0x7ffff3d8e158, envp=<optimized out>) at main.c:295
(gdb) p driver_priv
$1 = (struct radeon_exa_pixmap_priv *) 0x0

Comment 1 Jérôme Glisse 2012-11-02 23:51:07 UTC
Which GPU is it ? R5xx family, R6xx, R7xx, Evergreen, ... ?

Comment 2 Jérôme Glisse 2012-11-02 23:57:08 UTC
Also do you have multi monitor ? One monitor rotated ? ...

Comment 3 Bastien Nocera 2012-11-05 17:09:46 UTC
$ lspci -nn | grep -i vga
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI Madison [Radeon HD 5000M Series] [1002:68c1]

[    18.585] (--) RADEON(0): Chipset: "ATI Mobility Radeon HD 5000 Series" (ChipID = 0x68c1)

No multi-monitor, no rotated monitors. It's using 1920x1080 in landscape mode. Datasheet says:
ATI Mobility Radeon HD 5650, 1GB memory

Comment 4 Jérôme Glisse 2012-11-05 19:39:49 UTC
Most likely will need kernel log of a session with this bug happening. Something else must be going on.

Comment 5 Bastien Nocera 2012-11-06 09:17:12 UTC
(In reply to comment #4)
> Most likely will need kernel log of a session with this bug happening.
> Something else must be going on.

I can reproduce this from a clean boot. How do I get a kernel log?

Comment 6 Jérôme Glisse 2012-11-06 20:16:04 UTC
After the bug happened dmesg > mykernellog.txt should be good enough.

You confirm that you can reproduce with just one tab and no plugin with epiphany and that you are using epiphany package from fedora not a custom build.

Comment 7 Bastien Nocera 2012-11-12 06:35:31 UTC
After reproducing the crash (only the last 2 lines were created after/by the crash).

$ dmesg  | grep drm
[    1.878477] [drm] Initialized drm 1.1.0 20060810
[    1.886565] [drm] radeon defaulting to kernel modesetting.
[    1.886568] [drm] radeon kernel modesetting enabled.
[    1.886863] [drm] initializing kernel modesetting (REDWOOD 0x1002:0x68C1 0x17AA:0x3608).
[    1.886904] [drm] register mmio base: 0xFE620000
[    1.886907] [drm] register mmio size: 131072
[    1.891461] [drm] Detected VRAM RAM=1024M, BAR=256M
[    1.891465] [drm] RAM width 128bits DDR
[    1.891581] [drm] radeon: 1024M of VRAM memory ready
[    1.891584] [drm] radeon: 512M of GTT memory ready.
[    1.891611] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[    1.891613] [drm] Driver supports precise vblank timestamp query.
[    1.891708] [drm] radeon: irq initialized.
[    1.891715] [drm] GART: num cpu pages 131072, num gpu pages 131072
[    1.893077] [drm] probing gen 2 caps for device 8086:d138 = 2/0
[    1.893081] [drm] enabling PCIE gen 2 link speeds, disable with radeon.pcie_gen2=0
[    1.893133] [drm] Loading REDWOOD Microcode
[    1.911767] [drm] PCIE GART of 512M enabled (table at 0x0000000000040000).
[    1.929154] [drm] ring test on 0 succeeded in 1 usecs
[    1.929483] [drm] ib test on ring 0 succeeded in 0 usecs
[    1.929733] [drm] Radeon Display Connectors
[    1.929735] [drm] Connector 0:
[    1.929736] [drm]   HDMI-A-1
[    1.929737] [drm]   HPD1
[    1.929740] [drm]   DDC: 0x6470 0x6470 0x6474 0x6474 0x6478 0x6478 0x647c 0x647c
[    1.929741] [drm]   Encoders:
[    1.929742] [drm]     DFP1: INTERNAL_UNIPHY1
[    1.929743] [drm] Connector 1:
[    1.929744] [drm]   DVI-D-1
[    1.929745] [drm]   HPD2
[    1.929747] [drm]   DDC: 0x6450 0x6450 0x6454 0x6454 0x6458 0x6458 0x645c 0x645c
[    1.929749] [drm]   Encoders:
[    1.929750] [drm]     DFP2: INTERNAL_UNIPHY2
[    1.929751] [drm] Connector 2:
[    1.929752] [drm]   VGA-1
[    1.929754] [drm]   DDC: 0x6430 0x6430 0x6434 0x6434 0x6438 0x6438 0x643c 0x643c
[    1.929755] [drm]   Encoders:
[    1.929756] [drm]     CRT1: INTERNAL_KLDSCP_DAC1
[    1.929801] [drm] Internal thermal controller with fan control
[    1.929838] [drm] radeon: power management initialized
[    1.976731] [drm] fb mappable at 0xC0142000
[    1.976735] [drm] vram apper at 0xC0000000
[    1.976737] [drm] size 8294400
[    1.976740] [drm] fb depth is 24
[    1.976742] [drm]    pitch is 7680
[    1.976876] fbcon: radeondrmfb (fb0) is primary device
[    2.221824] fb0: radeondrmfb frame buffer device
[    2.221825] drm: registered panic notifier
[    2.221862] [drm] Initialized radeon 2.24.0 20080528 for 0000:01:00.0 on minor 0
[    7.853220] Modules linked in: crc32c_intel(F) radeon(F) i2c_algo_bit(F) drm_kms_helper(F) sdhci_pci(F) ttm(F) sdhci(F) firewire_ohci(F) mmc_core(F) firewire_core(F) crc_itu_t(F) drm(F) i2c_core(F) video(F)
[  104.918460] [drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation -12!
[  259.393700] [drm:radeon_cs_ioctl] *ERROR* Failed to parse relocation -12!

Comment 8 Jérôme Glisse 2012-11-13 16:20:25 UTC
Created attachment 644204 [details]
ddx printf

Build a new xf86-video-ati with this patch and trigger the bug. Please try to do it without session ie Xorg run from ssh and then DISPLAY=:0 epiphany to minimize log size.

Once bug triggered attach /var/log/Xorg.0.log here

Comment 9 Bastien Nocera 2012-11-13 17:15:53 UTC
Created attachment 644250 [details]
Xorg.0.log with debug

Comment 10 Bastien Nocera 2012-11-13 17:18:02 UTC
Created attachment 644251 [details]
Xorg.0.log with debug

Comment 11 Jérôme Glisse 2012-11-15 19:37:47 UTC
Koji build with a fix

http://koji.fedoraproject.org/koji/taskinfo?taskID=4693245

Comment 12 Fedora Update System 2012-11-15 19:57:50 UTC
xorg-x11-drv-ati-7.0.0-0.8.20121015gitbd9e2c064.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xorg-x11-drv-ati-7.0.0-0.8.20121015gitbd9e2c064.fc18

Comment 13 Fedora Update System 2012-11-17 02:25:31 UTC
Package xorg-x11-drv-ati-7.0.0-0.8.20121015gitbd9e2c064.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-drv-ati-7.0.0-0.8.20121015gitbd9e2c064.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18341/xorg-x11-drv-ati-7.0.0-0.8.20121015gitbd9e2c064.fc18
then log in and leave karma (feedback).

Comment 14 Bastien Nocera 2012-11-21 09:25:27 UTC
And verified. Thanks very much for the bug fix, it helps preserve my session's uptime :)

Comment 15 Fedora Update System 2013-01-12 00:47:04 UTC
xorg-x11-drv-ati-7.0.0-0.8.20121015gitbd9e2c064.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.